<?php

// SI OBTENEMOS DATOS DEL MÓDULO DE RESERVAS
if (isset($_POST['comprar']) || isset($_POST['volver_carrito'])) {

    /**************    Include cabecera  ***********************************/
    require_once dirname(__DIR__) . '/principal_compra_reserva_api.php';

    $protocol   = $_SERVER['HTTPS'] == 'on' ? 'https' : 'http';
    $domainLink = $protocol . '://' . $_SERVER['HTTP_HOST'];

    $parse   = parse_url($domainLink);
    $urlhost = $protocol . '://' . $parse['host'];

    if (!empty($_POST['lang'])) {
        define('LANGJS', $_POST['lang']);
    } elseif ($_POST['idioma'] == 2) {
        define('LANGJS', 'en_GB');
    } else if ($_POST['idioma'] == 3) {
        define('LANGJS', 'fr_FR');
    } else if ($_POST['idioma'] == 4) {
        define('LANGJS', 'eu_ES');
    } else {
        define('LANGJS', 'es_ES');
    }

    if (!isset($_SESSION)) {
        session_start();
    }

    if (!isset($_SESSION['descuenta_plazas_primero'])) {

        // Creo sesión de descontar plazas del primer paso
        $_SESSION['descuenta_plazas_primero'] = 1;
        $paso_descuenta_plazas_primero        = 1;
    } else {
        $paso_descuenta_plazas_primero = 0;
    }

    // PHP con los textos estáticos de la plantilla
    require_once DIRLANGUAGESTRINGS . 'compra/api/compra_api.php';
    require_once DIRLANGUAGESTRINGS . 'compra/api/confirmar_compra_api.php';

    // SE REALIZA UNA COMPRA
    if (isset($_POST['comprar'])) {
        $ip_usuario       = $_SERVER['REMOTE_ADDR'];
        if (!empty($_POST['lang'])) {
            if($_POST['lang'] == 'en_GB'){
                $idioma_navegador = 2;
            }else{
                $idioma_navegador = 1;
            }
        }else{
            $idioma_navegador = $_POST['idioma'];
        } 
        $paso_compra      = 'primero';
    } else {
        $paso_compra = 'volver_carrito';
    }

    if(!isset($_POST['url_visitas'])){
        $urlvisitas = $_POST['url_visitas'];
    }else{
        if ($_POST['idioma'] == 2) {
            $urlvisitas =  'en/visits';
        } else if ($_POST['idioma'] == 3) {
            $urlvisitas =  'fr/visites';
        }else{
            $urlvisitas =  'visitas';
        }
    }
   

    $TEXTENOTURISMO = 'Enoturismo';
    require_once DIRLANGUAGETEMPLATES . "compra/compra_api.ctp";

} elseif (isset($_POST['pago_instalacion_fin'])) //FINAL PROCESO COMPRA PARA PAGO EN INSTALACIÓN DE PISTAS E INSTALACIONES
{

    /**************    Include cabecera  ***********************************/
    require_once dirname(__DIR__) . '/principal_compra_reserva_api.php';
    // RECOGIDA DE DATOS DE LA COMPRA
    // Datos personales
    $localizador                                                  = $_POST['localizador'];
    $nombre                                                       = $_POST['nombre'];
    $apellidos                                                    = $_POST['apellidos'];
    $telefono                                                     = $_POST['telefono'];
    $dni                                                          = isset($_POST['dni']) ? $_POST['dni'] : null;
    $email                                                        = $_POST['email'];
    $instalacion                                                  = $_POST['instalacion'];
    $servicio                                                     = $_POST['servicio'];
    $actividad                                                    = $_POST['actividad'];
    $tipo_compra                                                  = $_POST['tipo_compra'];
    $pago_instalacion                                             = !empty($_POST['pago_instalacion']) ? $_POST['pago_instalacion'] : 0;
    $fecha                                                        = $_POST['fecha'];
    $hora                                                         = $_POST['hora'];
    $plazas                                                       = $_POST['plazas'];
    $recibir_correo                                               = $_POST['recibir_correo'];
    isset($_POST['pago']) ? $pago_seleccionado                    = $_POST['pago'] : $pago_seleccionado                    = '';
    isset($_POST['formulario_preguntas']) ? $formulario_preguntas = $_POST['formulario_preguntas'] : $formulario_preguntas = '';
    $idioma                                                       = $_POST['idioma'];

    isset($_POST['tarifas']) ? $tarifa = $_POST['tarifas'] : $tarifa = '';
    isset($_POST['lista']) ? $lista    = explode(',', $_POST['lista']) : $lista    = array();

    // Cargamos el archivo de plantilla propio
    // Información resumen de la compra
    require_once DIRMODULOSCOMP . 'compra/api/pago_instalacion_fin_api.php';
}
